MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012680MediaMonkey (current)Playerpublic2015-03-26 14:422016-03-23 16:11
Reporterlowlander 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.1.7 
Target Version4.1.12Fixed in Version4.1.12 
Summary0012680: Muzyka instrumentalna - Radio Chrzescijanin shoutcast stream fails to play (Windows 10)
Descriptionhttp://s1.slotex.pl:7172/ [^] fails to play. Can't reproduce loss of volume after attempting the stream.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=1&t=80377 [^]
HLM-420-17664
TagsNo tags attached.
Fixed in build1784
Attached Fileszip file icon Radio.zip [^] (6,746 bytes) 2015-03-27 10:15
rar file icon bug12680.rar [^] (34,177 bytes) 2015-11-27 07:23

- Relationships
duplicate of 0012980closedLudek Streaming: AAC Radio Streams do not play 
related to 0009427closedmichal Radio stations fail to display track metadata (when playing by Media Foundation) 
related to 0013120closedpeke WMA Playback fail in MMW 

-  Notes
(0042346)
peke (developer)
2015-03-26 18:35
edited on: 2015-03-26 18:38

Radio is in AAC stream assigning for check.

Loss of volume is due the fact that Stream is leveled at 89db. Tested in AIMP

(0042348)
michal (developer)
2015-03-27 04:48

For me, it plays ok, by in_mfaudio.dll plugin. So it requires Win7, it is AAC+ stream.
Maybe some misconfiguration on the server side and now it is ok? Please test again.
(0042349)
peke (developer)
2015-03-27 05:37

I can conform that today stream is AAC+ last night it was AAC so you are right but it observes bug 0009427
(0042350)
michal (developer)
2015-03-27 06:23

Closing, the problem was caused by misconfiguration on the server side.
Bug from 0009427 is still caused by Media Foundation layer, they do not have fixed it.
(0042359)
peke (developer)
2015-03-27 20:34

I correct it to not Fixable as issue is not in MMW
(0042390)
peke (developer)
2015-03-31 12:51

It happen to me again today for 2h. Is it possible to better describe what is happened with Radio Stream and lower responce time from MMW as UI is non responsive while bad stream is loaded?

Maybe Changing Summary of tracks to show last Error?
(0042394)
michal (developer)
2015-04-01 06:42

But we don't know what exactly happened :-/ As I see on http://s1.slotex.pl:7172/index.html, [^] it seems, this radio station has limit 50 listeners, maybe it reached this limit? Please, try to catch this in debug log, for me, it works ok.
(0042398)
peke (developer)
2015-04-01 17:17

Resolving for now.

Limit should not be the problen as on same page you can see that Peak was 18 at one time, so no issues.
(0043421)
peke (developer)
2015-11-27 03:54
edited on: 2015-11-27 03:54

Reopenned here, We already done tests

Closing 0012980

(0043422)
peke (developer)
2015-11-27 03:56

In my last night tests MMW just do not start streaming and AIMP3 plays it without problems, Listeners peek was 11/50

What you logs you would like me to make?
(0043425)
michal (developer)
2015-11-27 04:27

For me, it always plays (both). Plugin in_mfaudio uses Media Foundation for AAC+, can Windows Media Player play it? You can make ordinary debug log.
(0043426)
Ludek (developer)
2015-11-27 05:38

Plays OK for me too.
(0043428)
peke (developer)
2015-11-27 07:23
edited on: 2015-11-27 15:10

Windows 10 Pro Clean install WMP do not Play Original URL it just stall/freeze and NAS one show errorr that it can't be played.

Log File Attached, logged Play Original (Shoutcast) -> NAS (Relayed stream over Icecast) -> Original (Shoutcast)

Qnap icestation http://pool.qnapclub.pl/projects/packages/icestation/notes/notes.html [^]

(0043429)
rusty (administrator)
2015-11-27 08:08

fyi, I can also confirm that it doesn't play in WMP. Note: I can't test it on WMP since on Windows 10 WMP doesn't have streaming radio functionality.
(0043430)
michal (developer)
2015-11-27 08:33
edited on: 2015-11-27 08:34

The problem is somewhere in Windows 10 Media Foundation layer - it seems, support for (Shoutcast) AAC+ streams is somehow limited. E.g. I was playing this stream a half year ago on Windows 7 and now, on the same notebook, I cannot play it on Windows 10. But I can play some other Icecast AAC+ streams.

(0043438)
peke (developer)
2015-11-27 15:06

To enable WMP Streaming Search (Files and folders search icon) and Open Windows Media Player (Desktop APP, not Groove music) -> Right Click on toolbar -> Show menu bar -> File -> Open Url
(0043441)
peke (developer)
2015-11-27 16:23
edited on: 2015-11-27 18:38

Tested and MMW can't play any AAC streams (those I tested) from http://www.shoutcast.com/internet-radio [^] AIMP3 Plays them without problems.

Edit: parsing them thru NAS and IceCast MMW play them and WMP throw no decoder error

(0043442)
michal (developer)
2015-11-27 16:47

So it really seems, that the problem is, that Media Foundation stopped support of shoutcasted AAC+ in Windows 10, or has some serious bug in it. So we cannot play it without own decoder now...
(0043841)
peke (developer)
2016-01-12 18:17

Looks like http://somafm.com/listen/ [^] AAC streams do not work also

BASS Library plays the streams.
(0044006)
rusty (administrator)
2016-01-28 02:32

I just tested the AAC and AAC+ streams of radio paradise ( http://www.radioparadise.com/rp_2.php#name=Listen&file=links [^] ) and both are working correctly in MMW--which would seem to indicate that the codecs do work!

However, the somafm streams--both AAC and AAC+ (but not the slotex stream) do play correctly in other players that rely on system codecs, but not in MMW. Michal, are you certain that there's a bug and that it's not a change in usage required for Windows 10?

note:
https://msdn.microsoft.com/en-us/library/windows/desktop/ff819077%28v=vs.85%29.aspx [^]
https://msdn.microsoft.com/en-us/library/windows/desktop/dd742784%28v=vs.85%29.aspx [^]

Note also, that when the user attempts to play the AAC/AAC+ steam in MMW, that the 'download codec' button that appears causes the link to the Quicktime codec to open. However, the Quicktime codec indicates that it is only compatible with Windows 7 (although as of version 7.7.9 it _can_ be installed to Windows 10), which will be confusing to Windows 10 users. I've updated http://www.mediamonkey.com/addons/browse/item/quicktime/ [^] to communicate this however that's not a great solution. We should either:
a) fix the problem if possible
b) link to an alternate codec (e.g. http://www.free-codecs.com/download/aac_aacplus_player_plugin.htm [^] or ffdshow or K-lite codec pack).
(0044007)
michal (developer)
2016-01-28 04:54

There is not problem in codecs, there is problem in understanding shoutcast stream. Radio Paradise is Icecast stream and it works in Windows 10.
All streams, that does not work in Windows 10, are shoutcast streams.
I have tried Windows Media Player (we use the same Media Foundation layer for playback) and it behaves the same way - it does not play any shoutcast stream (even MP3), but it plays Icecast stream (even AAC+).
I'll try to test another approach, we use for MP3 and WMA streams, will see.
(0044075)
michal (developer)
2016-02-05 10:10

New in_mfaudio plugin prepared for build 1784. It seems to work ok for a lot of AAC+ streams, it also fixes problem with metadata (0009427). BUT - there are still some problems with streams like http://s1.slotex.pl:7172/ [^] (including test streams from pekemm server). The problem is, that this server does not offer any buffered data. E.g. server http://uwstream2.somafm.com:8100 [^] and others allow downloading of the first minute nearly immediately. In combination with MS AAC decoder, the playback is not as smooth as it should be, if the server buffer is not present (could stutter cca every 10s). Currently, pausing playback for a short while helps, but still searching for some better solution.
(0044084)
michal (developer)
2016-02-08 14:26

Fixed in build 1784. Input plugin now pauses playback for a while in case it recognizes, that there is not enough data for smooth playback.
(0044321)
peke (developer)
2016-03-23 16:11

Verified 1785


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker